> ## Name

> cgCopyEffect - make a copy of an effect

> ## Synopsis

>     #include <Cg/cg.h>

>     CGeffect cgCopyEffect( CGeffect effect );

> ## Parameters

> effect
>   The effect object to be copied.

> ## Return Values

> Returns a copy of effect on success.

> Returns NULL if effect is invalid or the copy fails.

> ## Description

> cgCopyEffect creates a new effect object that is a copy of effect and adds it to the same context as effect.

> Note: Currently cgCopyEffect does not work and therefore will always returns NULL.

> ## Examples

>       CGeffect effectCopy = cgCopyEffect(effect);

> ## Errors

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> ## History

> cgCopyEffect was introduced in Cg 2.0.

> ## See Also

> cgCreateEffect, cgCreateEffectFromFile, cgDestroyEffect